MsWksDBParserInternal Namespace Reference

Internal: the structures of a MsWksDBParser. More...

## Classes

class | SerialFormula
| a class to store the serial data which code a auto increment column with potential prefix and suffix in v4. More...
class | FieldType
| the type of each field More...
class | DataBase
| the database More...
class | FormType
| a class used to store a form More...
class | Form
| a class used to store a form More...
class | Forms
| a class used to store a list of forms More...
struct | State
| Internal: the state of a MsWksDBParser. More...
class | SubDocument
| Internal: the subdocument of a MsWksDBParser. More...

## Enumerations

enum | FormVisibility { V_VALUE , V_NAMEVALUE , V_HIDDEN , V_HEADER , V_UNDEF , V_UNKNOWN }

## Functions

std::ostream & | operator<< (std::ostream &o, SerialFormula const &form)
| operator<<
std::ostream & | operator<< (std::ostream &o, FieldType const &fType)
std::ostream & | operator<< (std::ostream &o, FormType const &form)
| operator<<
std::ostream & | operator<< (std::ostream &o, Form const &form)
| operator<<
std::ostream & | operator<< (std::ostream &o, Forms const &form)
| operator<<

## Detailed Description

Internal: the structures of a MsWksDBParser.

## Enumeration Type Documentation

## FormVisibility

enum MsWksDBParserInternal::FormVisibility

Enumerator
V_VALUE |
V_NAMEVALUE |
V_HIDDEN |
V_HEADER |
V_UNDEF |
V_UNKNOWN |

## Function Documentation

## operator<<() [1/5]

std::ostream & MsWksDBParserInternal::operator<< | ( | std::ostream & | o,
|  | FieldType const & | fType )

## operator<<() [2/5]

std::ostream & MsWksDBParserInternal::operator<< | ( | std::ostream & | o,
|  | Form const & | form )

operator<<

## operator<<() [3/5]

std::ostream & MsWksDBParserInternal::operator<< | ( | std::ostream & | o,
|  | Forms const & | form )

operator<<

## operator<<() [4/5]

std::ostream & MsWksDBParserInternal::operator<< | ( | std::ostream & | o,
|  | FormType const & | form )

operator<<

## operator<<() [5/5]

std::ostream & MsWksDBParserInternal::operator<< | ( | std::ostream & | o,
|  | SerialFormula const & | form )

operator<<